Represents a specific credit line. Make the API call to the credit line ID.
https://graph.facebook.com/v26.0/{business_id}/extendedcredits?fields=id,legal_entity_name.
An Extended Credit object. Queryable id obtainable using {business_id}/extendedcredits and then filtering on legal_entity_name.
GET /v26.0/{extended-credit-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{extended-credit-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{extended-credit-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{extended-credit-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{extended-credit-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Field | Description |
|---|---|
idnumeric string | The ID of the extended credit line. |
allocated_amountCurrencyAmount | The total amount of credit that has been granted to other businesses. Going forward, credentials are measured in USD at the top level, and attachable to ad accounts of multiple currencies. |
balanceCurrencyAmount | The total amount spent. This is calculated by adding parent ad account and all child ad accounts. Credentials are measured in USD at the top level and are attachable to ad accounts of multiple currencies. |
credit_availableCurrencyAmount | The credit available to this business. |
credit_typeenum | The type of extended credit used. The most common are |
is_access_revokedbool | Returns |
is_automated_experiencebool | Returns |
legal_entity_namestring | The legal entity name of the owner of a line. |
liable_biz_namestring | When this credit is chosen as the payment method, the business name of the liable_party. |
max_balanceCurrencyAmount | The amount of credit available to a specific business. Going forward, credentials are measured in USD at the top level, and attachable to ad accounts of multiple currencies. |
online_max_balanceCurrencyAmount | The raw credit limit for an entire business. Going forward, credentials are measured in USD at the top level, and attachable to ad accounts of multiple currencies. |
owner_business | The business account responsible for extended credit payment. |
owner_business_namestring | The name of the business account responsible for extended credit payment. |
partition_fromstring | The name of the business that granted the credit line. For |
receiving_credit_allocation_config | The allocation configuration in which this extended credit line is the receiver. |
send_bill_to_biz_namestring | Specifies the business name to bill (bill_to_party) when this credit is chosen as the payment method. |
| Edge | Description |
|---|---|
Edge<ExtendedCreditInvoiceGroup> | Invoice group for extended credit account, all ad accounts in the same group will generate one consolidated invoice. |
Edge<ExtendedCreditAllocationConfig> | All allocation configurations in which this extended credit line is the owner. |
| Error | Description |
|---|---|
| 100 | Invalid parameter |